Bug 1420003 - [RHV] VM provision->Environment-> host list decreases, after 1 or more Vm provision
Summary: [RHV] VM provision->Environment-> host list decreases, after 1 or more Vm pro...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Boriso
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev:provision
Depends On:
Blocks: 1420888
TreeView+ depends on / blocked
 
Reported: 2017-02-07 15:15 UTC by Ilanit Stein
Modified: 2017-06-12 17:29 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1420888 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:29:27 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)

Description Ilanit Stein 2017-02-07 15:15:59 UTC
Description of problem:
After running VM provision, running another VM provision show that the host on which the VM previously provisioned is running is removed from the list.

On RHV side, this "removed" host seem to have enough memory to run more VMs. 

Version-Release number of selected component (if applicable):
RHV-4.0.6
CFME-5.7.1

How reproducible:
Always on automation, running provision VMs operations, one after the other.
Also reproduces easily manually, after running several VM provision, one after the other (no need to wait for each provision to end.

Additional info:
Not clear if this is a RHV provider specific problem.

Comment 2 Oved Ourfali 2017-02-07 18:05:10 UTC
As we weren't able to reproduce on development,  can you try to reproduce in another environment as well? 
Did you check that on other providers? 
Do you fail to provision?

Comment 7 CFME Bot 2017-02-09 18:21:04 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b448a14a1a85323e2e5cc6f05ccc41fc9933117a

commit b448a14a1a85323e2e5cc6f05ccc41fc9933117a
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Feb 8 10:00:42 2017 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Wed Feb 8 11:08:35 2017 -0500

    Add :ems_cluster to the partial host hash
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1420003

 .../redhat/infra_manager/refresh/parse/parser.rb   |  9 +++++--
 .../refresh/refresher_target_vm_spec.rb            | 28 ++++++++++++++++++++++
 2 files changed, 35 insertions(+), 2 deletions(-)

Comment 9 CFME Bot 2017-02-09 19:00:57 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/50c338898d73937f58cac8cdb3fa9f688f3f0c3f

commit 50c338898d73937f58cac8cdb3fa9f688f3f0c3f
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Feb 8 10:00:42 2017 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Feb 9 09:04:07 2017 -0500

    Add :ems_cluster to the partial host hash
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1420003

 .../redhat/infra_manager/refresh_parser.rb         |  9 +++++--
 .../infra_manager/refresher_target_vm_spec.rb      | 28 ++++++++++++++++++++++
 2 files changed, 35 insertions(+), 2 deletions(-)

Comment 10 Ilanit Stein 2017-05-04 06:24:32 UTC
Verified on CFME-5.8.0.13/RHV-4.1.1.8.

Also this problem, that used to fail automation, is no longer failing in CFME versions, that include the fix.


Note You need to log in before you can comment on or make changes to this bug.